package bdi4jade.examples.undo.plan;

import bdi4jade.examples.undo.domain.House;
import bdi4jade.examples.undo.domain.predicate.Open;
import bdi4jade.goal.PredicateGoal;
import bdi4jade.plan.planbody.BeliefGoalPlanBody;

/**
 * @author jgfaccin
 *
 */
public class StopLeakingPlanBody extends BeliefGoalPlanBody {

	private static final long serialVersionUID = -7541320551634856808L;

	@Override
	protected void execute() {
		dispatchSubgoal(new PredicateGoal<Open>(new Open(House.VALVE), false));
		block();
	}
	
}
